# authentic2 - versatile identity manager
# Copyright (C) 2010-2022 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django import forms

from authentic2.a2_rbac.models import Role
from authentic2.manager.utils import label_from_role

from .models import SAMLAuthenticator


class SAMLAuthenticatorForm(forms.ModelForm):
    class Meta:
        model = SAMLAuthenticator
        exclude = ('ou',)


class RoleChoiceField(forms.ModelChoiceField):
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.queryset = Role.objects.exclude(slug__startswith='_')

    def label_from_instance(self, obj):
        return label_from_role(obj)
